Bug 607390 - Included planned RHEL 5.6 fixes for metacity
Included planned RHEL 5.6 fixes for metacity
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: metacity (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Owen Taylor
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 21:17 EDT by Owen Taylor
Modified: 2010-11-10 16:10 EST (History)
2 users (show)

See Also:
Fixed In Version: metacity-2.28.0-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:10:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Owen Taylor 2010-06-23 21:17:26 EDT
Current planning is that metacity will be updated for 5.6 with a couple of small fixes to the behavior of GConf preferences that were introduced in the 5.5 update:

* The new_windows_always_on_top preference should apply to windows that
  aren't brand new, but are being re-presented by the application
  (Bug 582769)

* The no_focus_windows preference should not apply to windows that
  belong to the same application that currently has the keyboard focus.
  (Bug 591944)

These small patches also need to be included for 6.0 to prevent a regression for customers upgrading from RHEL5 to RHEL6.
Comment 1 RHEL Product and Program Management 2010-06-23 21:32:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Vladimir Benes 2010-09-16 11:26:31 EDT
all of those 3 requests are in and works
-> VERIFIED
Comment 6 releng-rhel@redhat.com 2010-11-10 16:10:44 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.